#include "lista_encad_circ.c"

int imprime_op(void);

int main(int argc, char **argv)
{
	int op = -1, elemento = 0;

	Lista L1;
	L1 = NULL;

	system("clear");
	while(op != 5)
	{
		op = imprime_op();
		switch(op)
		{
			case 1:
				printf("Qual elemento será inserido no inicio? ");
				scanf("%d", &elemento);
				if(insere_final(&L1, elemento))
					printf("Elemento inserido\n");
				else
					printf("Elemento não inserido\n");
				getchar();
				break;
			case 2:
				printf("Qual elemento sera removido? ");
				scanf("%d", &elemento);
				if(remove_inicio(&L1, &elemento))
					printf("Elemento removido\n");
				else
					printf("Elemento nao removido\n");
				getchar();
				break;
			case 3:
				imprime_lista(&L1);
				getchar();
				break;
			case 4:
				imprime_op();
				break;
		}
		getchar();
		system("clear");
	}
	return 0;
}

int imprime_op()
{
	int op;

	do
	{
		printf("---------------- Qual a operacao? -----------------\n");
		printf("[1] - Inserir um elemento no final\n");
		printf("[2] - Remover um elemento no inicio\n");
		printf("[3] - Imprimir a lista\n");
		printf("[4] - Imprimir elemento removido\n");
		printf("[5] - Sair do programa\n");
		printf("Operacao: "); setbuf(stdin,NULL);
		scanf("%d", &op);
	} while(op < 0);

	return op;
}

